##
Install python
https://www.python.org/
python --version
pip install robotframework
python -m pip install --upgrade pip
robot --version
pip install robotframework-selenium2library
pip install robotframework-appiumlibrary
pip install --upgrade robotframework-appiumlibrary
pip install --force-reinstall -v "selenium==4.8.0"
adb devices











*** Settings ***
Library AppiumLibrary
*** Variables ***
${REMOTE_URL} http://127.0.0.1:4723/wd/hub
${PLATFORM_NAME} Android
${PLATFORM_VERSION} 12
${DEVICE_NAME} RZ8N60SY7DY
${Activity_NAME} com.android.calculator2.Calculator
${PACKAGE_NAME} com.google.android.calculator

https://www.enmilocalfunciona.io/automatizacion-de-pruebas-con-robotframework-para-android/
https://www.xoriant.com/blog/robot-framework-for-mobile-test-automation


*** Settings ***
Library AppiumLibrary
 
*** Variables ***
${REMOTE_URL}   http://localhost:4723/wd/hub
 
*** Keywords ***
TestStart
    Open Application    ${REMOTE_URL}   deviceName=192.168.56.101:4723  app=${CURDIR}/app-afl-release.apk   automationName=appium   appActivity=com.newscorp.supercoach.SplashScreenActivity    appPackage=com.vapormedia.virtualsports.newsafl
    Create Page Snapshot
 
*** Test Cases ***
Snapshot
    TestStart


    https://www.andykelk.net/tech/automating-android-apps-with-robot-framework-and-appium


    android:name="com.allwork.MainActivity"
    package="com.allwork"
extensions:
    Robot-Framework-Formatter
    Robot Framework Helper





    Install Android Studio
    Install Appium
    npm install -g appium-doctor
    appium-doctor --android

    robot Login.robot

    ****************************************
Git global setup
git config --global user.name "hernan"
git config --global user.email "cover.hm@gmail.com"

Create a new repository
git clone git@gitlab.com:hernan.moreno/robotframeandroid.git
cd robotframeandroid
git switch -c main
touch README.md
git add README.md
git commit -m "add README"
git push -u origin main

Push an existing folder
cd existing_folder
git init --initial-branch=main
git remote add origin git@gitlab.com:hernan.moreno/robotframeandroid.git
git add .
git commit -m "Initial commit"
git push -u origin main

Push an existing Git repository
cd existing_repo
git remote rename origin old-origin
git remote add origin git@gitlab.com:hernan.moreno/robotframeandroid.git
git push -u origin --all
git push -u origin --tags


robot --outputdir testOutput Login.robot